/*
** SellaNMS
** $Id: format_statement_then.cxx,v 1.5 2005/05/21 23:10:28 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

static char rcsid[] = "$Id: format_statement_then.cxx,v 1.5 2005/05/21 23:10:28 sella Exp $";

#include "format_statement_then.h"
#include <stl/string>

FormatStatementThen::FormatStatementThen() {

}

FormatStatementThen::FormatStatementThen(Then const &src) {

}

FormatStatementThen::FormatStatementThen(FormatStatementThen const &src) {

}

FormatStatementThen::~FormatStatementThen() {

}

Then const& FormatStatementThen::operator=(Then const &src) {
	/* Typecast src to its real type. */
	FormatStatementThen *real_src = (FormatStatementThen*) &src;

	return operator=(*real_src);
}

FormatStatementThen const& FormatStatementThen::operator=(FormatStatementThen const &src) {
	/* Wipe contents. */
	this->clear();

	/* Do object specifics. */
	//this->variables = src.variables;

	return *this;
}

RESULT FormatStatementThen::compile(ConfigNode *config) {
	return FAILURE;
}

RESULT FormatStatementThen::clear() {
	return SUCCESS;
}

RESULT FormatStatementThen::print(unsigned long depth) {
	string	tab = "";
	for (unsigned long i = 0; i < depth; i++) {
		tab.append("   ");
	}

	return SUCCESS;
}

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600: fdm=marker
** vim: noet ts=3 sw=3 sts=3
*/
